SoScale(3)

NAME
SoScale - The SoScale class is a node type for scaling scene graph geometry.

SYNOPSIS

#include <Inventor/nodes/SoScale.h>

Inherits SoTransformation.

  Public Member Functions
virtual SoType getTypeId (void) const
SoScale (void)
virtual void doAction (SoAction *action)
virtual void callback (SoCallbackAction *action)
virtual void GLRender (SoGLRenderAction *action)
virtual void getBoundingBox (SoGetBoundingBoxAction *action)
virtual void getMatrix (SoGetMatrixAction *action)
virtual void pick (SoPickAction *action)
virtual void getPrimitiveCount (SoGetPrimitiveCountAction *action)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)
Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.

  Public Attributes
SoSFVec3f scaleFactor

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
virtual ~SoScale ()

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoScale class is a node type for scaling scene graph geometry. Use nodes of this type to apply scaling operations during scene graph traversals for e.g. rendering. Scale values are specified in a triple-value vector, with one scale factor for each of the 3 principal axes.

FILE FORMAT/DEFAULTS:

Scale {
    scaleFactor 1 1 1
}

Constructor & Destructor Documentation

  SoScale::SoScale (void)
Constructor.

  SoScale::~SoScale () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoScale::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoScale::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Reimplemented from SoTransformation.

  const SoFieldData ** SoScale::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoScale::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoTransformation.

  void SoScale::doAction (SoAction * action) [virtual]
This function performs the typical operation of a node for any action.

Reimplemented from SoNode.

  void SoScale::callback (SoCallbackAction * action) [virtual]
Action method for SoCallbackAction.

Simply updates the state according to how the node behaves for the render action, so the application programmer can use the SoCallbackAction for extracting information about the scene graph.

Reimplemented from SoNode.

  void SoScale::GLRender (SoGLRenderAction * action) [virtual]
Action method for the SoGLRenderAction.

This is called during rendering traversals. Nodes influencing the rendering state in any way or want to throw geometry primitives at OpenGL override this method.

Reimplemented from SoNode.

  void SoScale::getBoundingBox (SoGetBoundingBoxAction * action) [virtual]
Action method for the SoGetBoundingBoxAction.

Calculates bounding box and center coordinates for node and modifies the values of the action to encompass the bounding box for this node and to shift the center point for the scene more towards the one for this node.

Nodes influencing how geometry nodes calculate their bounding box also override this method to change the relevant state variables.

Reimplemented from SoNode.

  void SoScale::getMatrix (SoGetMatrixAction * action) [virtual]
Action method for SoGetMatrixAction.

Updates action by accumulating with the transformation matrix of this node (if any).

Reimplemented from SoNode.

  void SoScale::pick (SoPickAction * action) [virtual]
Action method for SoPickAction.

Does common processing for SoPickAction action instances.

Reimplemented from SoNode.

  void SoScale::getPrimitiveCount (SoGetPrimitiveCountAction * action) [virtual]
Action method for the SoGetPrimitiveCountAction.

Calculates the number of triangle, line segment and point primitives for the node and adds these to the counters of the action.

Nodes influencing how geometry nodes calculate their primitive count also override this method to change the relevant state variables.

Reimplemented from SoNode.

Member Data Documentation

  SoSFVec3f SoScale::scaleFactor
Specifies scaling along the 3 axes.

To get a uniform scale applied to the affected shapes, set the scaleFactor field to a vector with the same value for all components.

A common error when doing non-uniform scaling in a single direction is to set the value for the other two components of the scaleFactor vector to 0. This is obviously wrong, they should be set to 1 to not scale the shape(s) in the other two directions.

Be careful with setting scaleFactor component values to 0 or to negative values. Most shapes should handle those cases somehow, but the results are undefined unless otherwise specified.

The default value of this vector field is [1.0, 1.0, 1.0].

Author

Generated automatically by Doxygen for Coin from the source code.